Bug 48983 - Enhance RemoteIpValve and RemoteIpFilter logging
Enhance RemoteIpValve and RemoteIpFilter logging
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.26
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-03-24 23:15 UTC by Cyrille Le Clerc
Modified: 2010-04-20 15:44 UTC (History)
0 users



Attachments
RemoteIpFilter logging enhancement (681 bytes, application/octet-stream)
2010-03-24 23:15 UTC, Cyrille Le Clerc
Details
RemoteIpValve logging enhancement (905 bytes, patch)
2010-03-24 23:16 UTC, Cyrille Le Clerc
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Le Clerc 2010-03-24 23:15:14 UTC
Created attachment 25180 [details]
RemoteIpFilter logging enhancement

RemoteIpValve and RemoteIpFilter logging can be enhanced to ease understanding why a remote address is not seen as one of the internal proxies ip list.

This is particularly useful to troubleshoot unexpected usage of IP-V6 when IP-V4 is expected.

Patch is provided in two separated files to ease merge of the RemoteIpValve patch to Tomcat 6.0.x branch.

Added log messages :

RemoteIpFilter.java : "Skip RemoteIpFilter for request " + request.getRequestURI() + " with originalRemoteAddr '" + request.getRemoteAddr() + "'"

RemoteIpValve.java : "Skip RemoteIpValve for request " + request.getRequestURI() + " with originalRemoteAddr '" + request.getRemoteAddr() + "'"
Comment 1 Cyrille Le Clerc 2010-03-24 23:16:05 UTC
Created attachment 25181 [details]
RemoteIpValve logging enhancement
Comment 2 Mark Thomas 2010-04-04 10:29:37 UTC
Thanks for the patches. They have been applied to trunk and will be included in 7.0.0 onwards.

I have proposed for valve patch for 6.0.x
Comment 3 Mark Thomas 2010-04-20 15:44:52 UTC
The patch has been applied to 6.0.x and will be included in 6.0.27 onwards.

Thanks again for all your work in this area.